## tcpserversink

tcpserversink

## Properties

gint | current-port | Read
gchar * | host | Read / Write
gint | port | Read / Write

## Types and Values

struct | GstTCPServerSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstMultiHandleSink
                            ╰── GstMultiSocketSink
                                ╰── GstTCPServerSink

## Description

#### Example launch line (server):

    1

    gst-launch-1.0 fdsrc fd=1 ! tcpserversink port=3000

#### Example launch line (client):

    1

    gst-launch-1.0 tcpclientsrc port=3000 ! fdsink fd=2

## Synopsis

### Element Information

plugin | tcp
author | Thomas Vander Stichele <thomas at apestaart dot org>
class | Sink/Network

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Functions

## Types and Values

### struct GstTCPServerSink

    struct GstTCPServerSink;

Opaque data structure.

## Property Details

### The `“current-port”` property

      “current-port”             gint

The port number the socket is currently bound to. Applications can use this property to retrieve the port number actually bound to in case the port requested was 0 (=allocate a random available port).

Flags: Read

Allowed values: [0,65535]

Default value: 0

Since: 1.0.2

### The `“host”` property

      “host”                     gchar *

The host/IP to listen on.

Flags: Read / Write

Default value: "localhost"

### The `“port”` property

      “port”                     gint

The port to listen to (0=random available port).

Flags: Read / Write

Allowed values: [0,65535]

Default value: 4953

## See Also

multifdsink